php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #69689 Version number
Submitted: 2015-05-22 07:46 UTC Modified: 2015-06-12 23:43 UTC
Votes:23
Avg. Score:4.9 ± 0.3
Reproduced:20 of 20 (100.0%)
Same Version:14 (70.0%)
Same OS:19 (95.0%)
From: opitz dot alexander at googlemail dot com Assigned: stas (profile)
Status: Closed Package: PCRE related
PHP Version: 5.6.9 OS: All
Private report: No CVE-ID: None
 [2015-05-22 07:46 UTC] opitz dot alexander at googlemail dot com
Description:
------------
In commit 95fa72799298300f310c630a6c854f511d083bcc the libpcre was updated from 8.36 to 8.37 but the version number (and maybe other parts?) in config.h was left out.
So libpcre 8.37 will call themself 8.36 (and as I didn't check yet maybe some other parts are missing too).

Expected result:
----------------
8.37

Actual result:
--------------
8.36

Patches

PCRE_MINOR-8.37.patch (last revision 2015-06-13 19:36 UTC by gui@php.net)

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2015-05-27 12:13 UTC] vaclav dot novotny at edgedesign dot cz
I have the same issue with v5.5.25. Downgrade to v5.5.24 fixed it.
 [2015-05-31 04:56 UTC] stas@php.net
-Status: Open +Status: Closed -Assigned To: +Assigned To: stas
 [2015-05-31 04:56 UTC] stas@php.net
The fix for this bug has been committed.

Snapshots of the sources are packaged every three hours; this change
will be in the next snapshot. You can grab the snapshot at
http://snaps.php.net/.

 For Windows:

http://windows.php.net/snapshots/
 
Thank you for the report, and for helping us make PHP better.


 [2015-06-12 23:42 UTC] gui@php.net
It looks like the fix is incomplete (one discussion here : https://github.com/gplessis/dotdeb-php5/issues/85).

Starting from the sources from www.php.net, I'm still getting a wrong version in  phpinfo() :


$ tar xf php-5.6.10.tar.xz
$ cd php-5.6.10/
$ grep '^#define VERSION ' ext/pcre/pcrelib/config.h
#define VERSION "8.37"
$ ./configure --disable-all --enable-cli
$ make
$ ./sapi/cli/php -i|grep 'PCRE Library Version'     
PCRE Library Version => 8.36 2014-09-26

I tested on several environnements (Dockerized Wheezy, stock Wheezy, OS X). Always the same result.

After some investigation, I found that the "PCRE Library Version" comes from the pcre_version() function from the bundled PCRE library (https://github.com/php/php-src/blob/php-5.6.10/ext/pcre/pcrelib/pcre_version.c#L94) and that the upstream fix is incomplete : PCRE_MINOR has not been changed in pcre.h (https://github.com/php/php-src/blob/php-5.6.10/ext/pcre/pcrelib/pcre.h#L44-L47).

Please make sure that the bundled PCRE library is fully updated to 8.37.
 [2015-06-12 23:43 UTC] gui@php.net
-Status: Closed +Status: Re-Opened
 [2015-06-13 19:36 UTC] gui@php.net
After digging a little further and executing the update_pre.php script in ext/pcre against pcre-8.37, it looks that pcrelib has been updated correctly to 8.37, only PCRE_MINOR is wrong.

Here is a patch. Please verify.
 [2015-06-13 19:36 UTC] gui@php.net
The following patch has been added/updated:

Patch Name: PCRE_MINOR-8.37.patch
Revision:   1434224216
URL:        https://bugs.php.net/patch-display.php?bug=69689&patch=PCRE_MINOR-8.37.patch&revision=1434224216
 [2015-06-18 14:34 UTC] kaplan@php.net
Automatic comment on behalf of kaplanlior@gmail.com
Revision: http://git.php.net/?p=php-src.git;a=commit;h=cc7194dd10f9822d882d1cbd259d4208ccc82671
Log: Fixed bug #69689 (Align PCRE_MINOR with current version)
 [2015-06-18 14:34 UTC] kaplan@php.net
-Status: Re-Opened +Status: Closed
 [2015-06-18 14:35 UTC] kaplan@php.net
Automatic comment on behalf of kaplanlior@gmail.com
Revision: http://git.php.net/?p=php-src.git;a=commit;h=cc7194dd10f9822d882d1cbd259d4208ccc82671
Log: Fixed bug #69689 (Align PCRE_MINOR with current version)
 [2015-06-18 14:36 UTC] kaplan@php.net
Automatic comment on behalf of kaplanlior@gmail.com
Revision: http://git.php.net/?p=php-src.git;a=commit;h=cc7194dd10f9822d882d1cbd259d4208ccc82671
Log: Fixed bug #69689 (Align PCRE_MINOR with current version)
 [2015-06-18 14:38 UTC] kaplan@php.net
Automatic comment on behalf of kaplanlior@gmail.com
Revision: http://git.php.net/?p=php-src.git;a=commit;h=cc7194dd10f9822d882d1cbd259d4208ccc82671
Log: Fixed bug #69689 (Align PCRE_MINOR with current version)
 [2015-06-23 18:04 UTC] ab@php.net
Automatic comment on behalf of kaplanlior@gmail.com
Revision: http://git.php.net/?p=php-src.git;a=commit;h=cc7194dd10f9822d882d1cbd259d4208ccc82671
Log: Fixed bug #69689 (Align PCRE_MINOR with current version)
 
PHP Copyright © 2001-2020 The PHP Group
All rights reserved.
Last updated: Thu Aug 06 02:01:24 2020 UTC